package code

import "net/http"

const (
    StatusUnknown int = -1
    StatusOK          = http.StatusOK
    StatusFailed      = 0

    StatusBadRequest      = http.StatusBadRequest
    StatusUnauthorized    = http.StatusUnauthorized
    StatusForbidden       = http.StatusForbidden
    StatusNotFound        = http.StatusNotFound
    StatusRequestTimeout  = http.StatusRequestTimeout
    StatusConflict        = http.StatusConflict
    StatusTooManyRequests = http.StatusTooManyRequests

    StatusInternalServerError = http.StatusInternalServerError
    StatusNotImplemented      = http.StatusNotImplemented
    StatusBadGateway          = http.StatusBadGateway
    StatusServiceUnavailable  = http.StatusServiceUnavailable
    StatusGatewayTimeout      = http.StatusGatewayTimeout
)
