package msg

// message keys
const (
    Success          = "common.success"
    Failed           = "common.failed"
    UpdateSuccess    = "common.updateSuccess"
    UpdateFailed     = "common.updateFailed"
    CreateSuccess    = "common.createSuccess"
    CreateFailed     = "common.createFailed"
    DeleteSuccess    = "common.deleteSuccess"
    DeleteFailed     = "common.deleteFailed"
    ObjectNotFound   = "common.objectNotFound"
    DatabaseError    = "common.databaseError"
    CacheError       = "common.cacheError"
    ConstraintError  = "common.constraintError"
    ValidationError  = "common.validationError"
    NotSingularError = "common.notSingularError"
    PermissionDeny   = "common.permissionDeny"

    AlreadyInit = "init.alreadyInit"
    InitRunning = "init.initializeIsRunning"
)
